*
The moose likes Cattle Drive and the fly likes 1.4 & 1.6 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of EJB 3 in Action this week in the EJB and other Java EE Technologies forum!
JavaRanch » Java Forums » This Site » Cattle Drive
Bookmark "1.4 & 1.6" Watch "1.4 & 1.6" New topic
Author

1.4 & 1.6

Ed Connery
Ranch Hand

Joined: Mar 11, 2010
Posts: 70
Since I need 1.4 for the Cattle Drive and 1.6 for something else, how can I maintain both on the same computer? (He asks hopefully.)
Katrina Owen
Sheriff

Joined: Nov 03, 2006
Posts: 1344
    
  12
You could just use 1.6 and compile with javac -source 1.4 -target 1.4

We really want to convert the Cattle Drive to use a more up-to-date version of Java, just haven't quite gotten there yet.
Ed Connery
Ranch Hand

Joined: Mar 11, 2010
Posts: 70
Sounds good, thanks!

I should only screw it up a few hundred times before I get the hang of it.
Katrina Owen
Sheriff

Joined: Nov 03, 2006
Posts: 1344
    
  12
I'll be certain to take diabolical pleasure in every screw-up.
Janeice DelVecchio
Saloon Keeper

Joined: Sep 14, 2009
Posts: 1613
    
  10

I used 1.6 for the cattle drive so far, I think most of the syntax is the same (a lot of stuff was introduced in 1.5, but none of the assignments use that stuff I don't think)

You can compile with 1.4 as Katrina said too... there's totally no reason to have both.


When you do things right, people won't be sure you've done anything at all.
 
It is sorta covered in the JavaRanch Style Guide.
 
subject: 1.4 & 1.6
 
Similar Threads
JWSDP 1.4
To install 2 jreS
Webstart to use jre 1.4
What versions of the exam are still eligible?
JRE 1.6 and JRE 1.4 compatibility